utc().<template>
  <div>
  <div class="col-sm-12 panel panel-default">
    <div class="panel-body">
      <h2>{{ post.title }}
        <small class="pull-right">{{ post.published.$date | moment("DD MMMM YYYY") }}
      </small></h2>
      <ul class="list-inline">
        <li v-for="tag in post.tags">
          <router-link :to="{ name: 'blog',
            query: { tag: tag } }">
          <button class="btn btn-link btn-xs">
            <span class="glyphicon glyphicon-tag"></span> {{ tag }}</button>
          </router-link>
        </li>
      </ul><br />
      <span v-html="post.content.substr(0,1200)+'...'">
      </span>
      <hr />

      <div class="col-sm-12 col-md-6">
        <p> 
        <div class="btn-group">
        <button class="btn btn-default btn-xs">
          <span class="glyphicon glyphicon-user" aria-hidden="true"></span>
          {{ post.author }}
        </button>
        <button class="btn btn-default btn-xs"> 
          <span class="glyphicon glyphicon-eye-open" aria-hidden="true"></span>
          {{ post.total_views }}
        </button>
      </div>
        <router-link :to="{ name: 'blog-post-detail',
          params: {
          date: slugDate(post.published.$date),
          slug: post.slug
          },
          hash: '#post-comment'
          }">
          <button class="btn btn-default btn-xs" role="button">
            <span class="glyphicon glyphicon-comment" aria-hidden="true"></span>
            {{ post.total_comments }} 
          </button>
        </router-link>
      </p>
      </div>
      <div class="col-sm-12 col-md-6 text-right">
        <p>
      <div class="btn-group" v-if="auth">
       <!--
        <button class="btn btn-default btn-xs" 
          @click="deletePost(post._id.$oid, index)">
          <span class="glyphicon glyphicon-trash" aria-hidden="true"></span>
          Delete</button>
        -->
        <span @click="popoverToggle = !popoverToggle">
          <div tabindex="-1" 
            class="popover bottom center"
            :class="{show: popoverToggle}"
            role="tooltip">
          <div class="popover-content">
            <div class="popover-content-wrapper">
              <span class="text-danger"><strong>DELETE ?</strong></span>
            </div>
            <div class="btn-group">
        <button class="btn btn-default btn-sm" 
          @click="deletePost(post._id.$oid, index)">
          Yes
        </button>
            <button class="btn btn-default btn-sm">No</button>
          </div>
          </div>
        </div>
        <button type="button" class="btn btn-default btn-xs">
          <span class="glyphicon glyphicon-trash" aria-hidden="true"></span>
          Delete</button>
      </span>
        <router-link :to="{ name: 'blog-post-edit',
          params: {
          date: slugDate(post.published.$date),
          slug: post.slug,
          action: 'edit'
          }}">
          <button class="btn btn-default btn-xs">
            <span class="glyphicon glyphicon-pencil" aria-hidden="true"></span>
            Edit</button>
        </router-link>
      </div>
        <router-link :to="{ name: 'blog-post-detail',
          params: {
          date: slugDate(post.published.$date),
          slug: post.slug
          },
          hash: '#post-content'
          }">
          <button class="btn btn-default btn-xs">
            <span class="glyphicon glyphicon-book" aria-hidden="true"></span>
            Read more</button>
        </router-link> 
      </p>
      </div>
    </div>
  </div>
</div>
</div>
</template>

<script>

export default {
  name: 'Post',
  props: ['post', 'index'],
  data () {
    return {
      next_page: '',
      popoverToggle: false
    }
  },
  computed: {
    auth () {
      return this.$store.getters.isAuthenticated
    }
  },
  methods: {
    slugDate (date) {
      return this.$moment(date).utc().format('YYYY-MM-DD')
    },
    deletePost (id, index) {
      this.$emit('postDelete', {id, index})
    }
  }
}
</script>

<style scoped>
</style>
